var _Directory = require("dr-js/library/node/file/Directory");
const DEFAULT_RESOLVE_PATH = path => path;
const getFileListFromPathList = async (pathList = [], resolvePath = DEFAULT_RESOLVE_PATH, filterFile) => {
  let resultFileList = [];
  for (const path of pathList) resultFileList = resultFileList.concat(await (0, _Directory.getFileList)(resolvePath(path)));
  filterFile && (resultFileList = resultFileList.filter(filterFile));
  return resultFileList;
};
exports.getFileListFromPathList = getFileListFromPathList;
exports.getScriptFileListFromPathList = (async (pathList = [], resolvePath = DEFAULT_RESOLVE_PATH, filterFile = (path => path.endsWith(".js") && !path.endsWith(".test.js"))) => getFileListFromPathList(pathList, resolvePath, filterFile));